package com.wzy.es.feign;

import com.wzy.common.domain.Product;
import com.wzy.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient("wzy-product")
public interface ProductFeignService {
    @GetMapping("/findProductList")
    Result<List<Product>> findProductList();
}
