package com.wzy.product.mapper;

import com.wzy.common.domain.Check;
import com.wzy.common.domain.Product;
import com.wzy.common.domain.Rule;
import com.wzy.common.domain.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductMapper {
    List<Product> findProductList();

    List<Rule> ruleList();

    int ruleSave(Rule rule);

    List<Product> choiceProduct();

    int productSave(Product product);

    int startUp(Integer productId);

    int stopUp(Integer productId);

    int updateProduct(Product product);

    int updateUser(User user);

    int checkAdd(Check check);

    List<Check> checkList();

    int updateUser1(User user);
}
