package com.wzy.product.service;

import com.wzy.common.domain.Check;
import com.wzy.common.domain.Product;
import com.wzy.common.domain.Rule;
import com.wzy.common.domain.User;
import com.wzy.common.result.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ProductService {
    List<Product> findProductList();

    List<Rule> ruleList();

    Result ruleSave(Rule rule);

    List<Product> choiceProduct();

    Result productSave(Product product);

    Result startUp(Integer productId);

    Result stopUp(Integer productId);

    Result upload(MultipartFile multipartFile);

    Result updateProduct(Product product);

    Result updateUser(User user);

    Result checkAdd(Check check);

    List<Check> checkList();

    Result updateUser1(User user);
}
